import request from '@/utils/request'

// 查询消息接收对象列表
export function listMsgAccepter(query) {
  return request({
    url: '/doc/msgAccepter/list',
    method: 'get',
    params: query
  })
}

// 查询消息接收对象详细
export function getMsgAccepter(msgId) {
  return request({
    url: '/doc/msgAccepter/' + msgId,
    method: 'get'
  })
}

// 新增消息接收对象
export function addMsgAccepter(data) {
  return request({
    url: '/doc/msgAccepter',
    method: 'post',
    data: data
  })
}

// 修改消息接收对象
export function updateMsgAccepter(data) {
  return request({
    url: '/doc/msgAccepter',
    method: 'put',
    data: data
  })
}

// 删除消息接收对象
export function delMsgAccepter(msgId) {
  return request({
    url: '/doc/msgAccepter/' + msgId,
    method: 'delete'
  })
}
