import request from '@/utils/request'

// 查询文档分享接收人列表
export function listShareAccepter(query) {
  return request({
    url: '/doc/shareAccepter/list',
    method: 'get',
    params: query
  })
}

// 查询文档分享接收人详细
export function getShareAccepter(shareId) {
  return request({
    url: '/doc/shareAccepter/' + shareId,
    method: 'get'
  })
}

// 新增文档分享接收人
export function addShareAccepter(data) {
  return request({
    url: '/doc/shareAccepter',
    method: 'post',
    data: data
  })
}

// 修改文档分享接收人
export function updateShareAccepter(data) {
  return request({
    url: '/doc/shareAccepter',
    method: 'put',
    data: data
  })
}

// 删除文档分享接收人
export function delShareAccepter(shareId) {
  return request({
    url: '/doc/shareAccepter/' + shareId,
    method: 'delete'
  })
}
